> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/transform.md).

# Transform

## *class* <mark style="color:purple;">Transform</mark>

An interface for working with transforms on Redivis.

## Constructors

<table data-header-hidden><thead><tr><th width="368">Method</th><th>Description</th></tr></thead><tbody><tr><td><a href="/api/client-libraries/redivis-python/reference/redivis/redivis.transform.md"><strong><code>redivis.transform</code></strong></a>(name)</td><td>Create a reference to a transform based on its (qualified) name</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/workflow/worfklow.transform.md"><strong><code>Workflow.transform</code></strong></a>(name)</td><td>Return a transform within a specific <a href="/api/client-libraries/redivis-python/reference/workflow.md">workflow</a>.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/workflow/workflow.list_transforms.md"><strong><code>Workflow.list_transforms</code></strong></a>([max_results])</td><td>Returns a list of Transforms within a workflow</td></tr></tbody></table>

## Examples

```python
username = "imathews"
workflow_name = "example_workflow_climate_analysis:x7kh"
transform_name = "join_lat_lon:m9tz"

transform = redivis.transform(f"{username}.{workflow_name}.{transform_name}")
transform.run()
```

## Attributes

<table data-header-hidden><thead><tr><th>Name</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>workflow</code></strong></td><td>A reference to the <a href="/api/client-libraries/redivis-python/reference/workflow.md">Workflow</a> instance that is associated with this transform.</td></tr><tr><td><strong><code>properties</code></strong></td><td>A dict containing the <a href="/api/resource-definitions/transform.md">API resource representation of the transform</a>. This will only be populated after certain methods are called, particularly the <code>get</code> method, and will otherwise be <code>None</code>.</td></tr><tr><td><strong><code>qualified_reference</code></strong></td><td><p>The <a href="/api/referencing-resources.md">fully qualified reference</a> to this transform</p><p>For example,</p><pre class="language-http"><code class="lang-http">imathews.example_workflow_climate_analysis:x7kh.join_lat_lon:m9tz
</code></pre></td></tr><tr><td><strong><code>scoped_reference</code></strong></td><td>The canonical reference for the transform, without any qualifiers. E.g., <code>join_lat_lon:m9tz</code></td></tr></tbody></table>

## Methods

<table data-header-hidden><thead><tr><th width="368">Method</th><th>Description</th></tr></thead><tbody><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.cancel.md"><strong><code>transform.cancel</code></strong></a>()</td><td>Cancel a running transform</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.create.md"><strong><code>transform.create</code></strong></a>(*, source_table[, query])</td><td>Create a new transform in the workflow, optionally with a SQL query.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.exists.md"><strong><code>transform.exists</code></strong></a>()</td><td>Check whether the transform exists.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.get.md"><strong><code>transform.get</code></strong></a>()</td><td>Fetches the transform, after which transform.properties will contain a dict with entries corresponding to the properties on the <a href="/api/resource-definitions/transform.md">transform resource definition</a>. Will raise an error if the transform does not exist.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.output_table.md"><strong><code>transform.output_table</code></strong></a>()</td><td>Get a reference to the transform's output table.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.referenced_tables.md"><strong><code>transform.referenced_tables</code></strong></a>()</td><td>Get an ordered list of tables referenced by the transform.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.run.md"><strong><code>transform.run</code></strong></a>([*, wait_for_finish=True])</td><td>Run a transform.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.source_table.md"><strong><code>transform.source_table</code></strong></a>()</td><td>Get the transform's source table.</td></tr><tr><td><a href="/api/client-libraries/redivis-python/reference/transform/transform.update.md"><strong><code>transform.update</code></strong></a>([*, name, source_table, query])</td><td>Update the transform's name, source, and/or SQL query.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/transform.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
